Package org.apache.sysds.runtime.compress.estim.sample

# Interface SmoothedJackknifeEstimator

public interface SmoothedJackknifeEstimator

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static int`
`distinctCount(int numVals, int[] freqCounts, int nRows, int sampleSize)`
Peter J.

## Method Details

### distinctCount

static int distinctCount(int numVals, int[] freqCounts, int nRows, int sampleSize)
Peter J. Haas, Jeffrey F. Naughton, S. Seshadri, and Lynne Stokes. Sampling-Based Estimation of the Number of Distinct Values of an Attribute. VLDB'95, Section 4.3.

Parameters:
  `numVals` - The number of unique values in the sample
  `freqCounts` - The inverse histogram of frequencies. counts extracted
  `nRows` - The original number of rows in the entire input
  `sampleSize` - The number of rows in the sample
Returns:
  Estimate of the number of distinct values